Package com.logicaldoc.core.filler

# Class ChainFiller

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.filler.Filler
com.logicaldoc.core.filler.ChainFiller

All Implemented Interfaces:
  `Serializable`

@Entity public class ChainFiller extends Filler
A filler that fills using a list of other fillers

Since:
  9.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`ChainFiller()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`void`
`fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary)`
Fills an object instance
`List<Filler>`
`getChain()`
`int`
`hashCode()`
`void`
`setChain(List<Filler> chain)`

### Methods inherited from class com.logicaldoc.core.filler.Filler

`fill, getDescription, getLabel, getName, isCheckin, isOverwrite, newFiller, setCheckin, setDescription, setLabel, setName, setOverwrite, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChainFiller

public ChainFiller()

## Method Details

### getChain

public List<Filler> getChain()

### setChain

public void setChain(List<Filler> chain)

### fill

public void fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary) throws PersistenceException, IOException, FeatureDisabledException, SearchException
Description copied from class: `Filler`
Fills an object instance

Specified by:
  `fill` in class `Filler`
Parameters:
  `fillable` - the instance to fill
  `content` - the content of the object, if not specified it will be taken from the transaction's file.
  `transaction` - the current transaction
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - Error in the data layer
  `IOException` - I/O error
  `FeatureDisabledException` - An involved feature is disabled
  `SearchException` - Error in case of search

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Filler`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Filler`